<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>Index</title>

  <script src="qaws.js"></script>

  <style>
    body {
      background-color: #fff;
      font-family: sans-serif;
    }
    h1 {
      font-weight: normal;
      font-size: 300%;
    }

  input[type=button] {
    background-color: #A01010; /* Red */
    border: none;
    border-radius: 8px;
    color: white;
    padding: 14px 24px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 24px;
    margin:10px 10px 10px 10px;
  }

  </style>
</head>
<body>

  <div align='center'> 
  <h1>Select screen time for Dolittle film</h1>
  <img height=300 id='poster1' src="img/dolittle_poster.jpg" alt="No image"/> 
  <br>
  <a href="buy_select_num.html">
  <span style="font-weight: bold;color: blue;font-size: 24">Screen 1 at 18:30</span>
  <span style="font-weight: bold;color: green;font-size: 24" id="num_seats_dolittle_1">120</span>
  <span style="font-weight: bold;color: green;font-size: 24" id="seats_dolittle_1"> seats left</span>
  </a>
  <br>
  <br>
  <br>
  <a href="buy_select_num.html">
  <span style="font-weight: bold;color: blue;font-size: 24">Screen 1 at 21:30</span>
  <span style="font-weight: bold;color: green;font-size: 24" id="num_seats_dolittle_2">120</span>
  <span style="font-weight: bold;color: green;font-size: 24" id="seats_dolittle_2"> seats left</span>
  </a>
  </div>
  <div align="center">
  <a href="dolittle.html">
    <img  class='icon' id='back' src="img/back.png" height="100" />
  </a>
</div>
  <script type="text/javascript" src="seats_d.js"></script>
  <script type="text/javascript" src="seats.json"></script>

  <script>

    var ip=window.location.hostname;
    if (ip=='')
        ip='127.0.0.1';
    var port = 9100;

    console.log("Trying connection...")
    wsrobot_init(ip,port);

    function hello() {
        console.log("runnig interaction...");
        codews.send("im.robot.say('hello')\n");
    }

  </script>

  <script>
  function loadJSON(path,callback){
    var xobj = new XMLHttpRequest();
          xobj.overrideMimeType("application/json");
      xobj.open('GET', path, true); // Replace 'my_data' with the path to your file
      xobj.onreadystatechange = function () {
            if (xobj.readyState == 4 && xobj.status == "200") {
              // Required use of an anonymous callback as .open will NOT return a value but simply returns undefined in asynchronous mode
              callback(xobj.responseText);
            }
      };
      xobj.send(null);  
  }
  
  function JSONloaded(str){
    var seats = JSON.parse(str);
    console.log(seats[0])
  }

  loadJSON('seats.json',JSONloaded)

  </script>

</body>
</html>

